Bug 26093 - Markup error after Bug 24279 creates formatting problem
Summary: Markup error after Bug 24279 creates formatting problem
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24279
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-29 17:16 UTC by Owen Leonard
Modified: 2020-11-30 21:52 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26093: Markup error after Bug 24279 creates formatting problem (2.78 KB, patch)
2020-07-29 20:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26093: Markup error after Bug 24279 creates formatting problem (3.34 KB, patch)
2020-07-30 11:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26093: Markup error after Bug 24279 creates formatting problem (3.41 KB, patch)
2020-07-30 11:46 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26093: Markup error after Bug 24279 creates formatting problem (3.46 KB, patch)
2020-07-30 20:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-29 17:16:58 UTC
After Bug 24279 the "Statuses" section on the item detail page (moredetail.pl) isn't formatted correctly. The ordered list no longer has the correct CSS applied because the container changed from <div> to <span>
Comment 1 Owen Leonard 2020-07-29 20:12:55 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-07-30 11:38:27 UTC
Created attachment 107575 [details] [review]
Bug 26093: Markup error after Bug 24279 creates formatting problem

This patch makes a few minor changes to the markup of the item detail
page in order for everything to be valid and styled correctly:

- Remove unnecessary and invalid <br clear="both"/>
- Move heading inside container so that floats clear correctly
- Change <span> tag back to <div> to enable the correct style.

To test, apply the patch and view the item details page for a title with
multiple items.

 - Each section starting with "Barcode" should be bordered above by a
   two-pixel gray line
 - The "statuses" section should be styled like the areas above and
   below, not as an ordered list.
Comment 3 Andrew Fuerste-Henry 2020-07-30 11:46:54 UTC
Created attachment 107578 [details] [review]
Bug 26093: Markup error after Bug 24279 creates formatting problem

This patch makes a few minor changes to the markup of the item detail
page in order for everything to be valid and styled correctly:

- Remove unnecessary and invalid <br clear="both"/>
- Move heading inside container so that floats clear correctly
- Change <span> tag back to <div> to enable the correct style.

To test, apply the patch and view the item details page for a title with
multiple items.

 - Each section starting with "Barcode" should be bordered above by a
   two-pixel gray line
 - The "statuses" section should be styled like the areas above and
   below, not as an ordered list.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Katrin Fischer 2020-07-30 20:50:47 UTC
Created attachment 107610 [details] [review]
Bug 26093: Markup error after Bug 24279 creates formatting problem

This patch makes a few minor changes to the markup of the item detail
page in order for everything to be valid and styled correctly:

- Remove unnecessary and invalid <br clear="both"/>
- Move heading inside container so that floats clear correctly
- Change <span> tag back to <div> to enable the correct style.

To test, apply the patch and view the item details page for a title with
multiple items.

 - Each section starting with "Barcode" should be bordered above by a
   two-pixel gray line
 - The "statuses" section should be styled like the areas above and
   below, not as an ordered list.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-07-31 08:56:49 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-13 16:31:41 UTC
missing 20.05.x dependency, no backport